TeamPanel
API & Developers

Endpoints

Resource prefixes of the public TeamPanel API and a pointer to OpenAPI.

Endpoints

The public API uses the same /v1/… paths as the web app. Below are the most important resource prefixes.

Resource Prefixes

PrefixDescription
/v1/todoTo-do boards, entries, comments, status
/v1/teamMembers, groups, permissions
/v1/newsAnnouncements
/v1/linksLinks
/v1/supportSupport cases, categories, stats
/v1/meetingsMeetings
/v1/logoffLog-offs
/v1/penaltypointsPenalty points
/v1/worryboxWorry box
/v1/accessAccess documentation / assignments
/v1/applyPanelApplication portal
/v1/automationTeam automations

Full schemas

Request/response schemas, parameters, and all operations are available in the Swagger UI or at /openapi.json.

Example: List To-do Boards

curl -X GET "https://api.team-panel.com/v1/todo/board/{teamId}/all" \
  -H "Authorization: Bearer TP_your_key"

Authentication and restrictions: Authentication.

On this page